package com.neusoft.smart.pos.payorder.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class PayOrder implements Serializable {
    private Integer id;

    private String mcode;

    private String mOrderNumber;

    private String tradeId;

    private String outerOrderNumber;

    private String deviceId;

    private String deviceName;

    private String description;

    private String payType;

    private String payTypeName;

    private Long payAmount;

    private Long refundedAmount;

    private String notifyUrl;

    private String timeExpire;

    private String payStatus;

    private Date payTime;

    private Integer version;

    private String scanCode;

    private String codeUrl;

    private String pid;

    private String storeId;

    private String payIp;

    private String openId;

    private String tradeType;

    private String memberCardNo;

    private String memberName;

    private String cardNum;

    private String cardHidCode;

    private String retrvlRefNo;

    private String oriTraceNo;

    private String oriBatchNo;

    private String transDate;

    private String requestDetailInfo;

    private String responseDetailInfo;

    private Date createdAt;

    private String createdBy;

    private String updatedBy;

    private Date updatedAt;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMcode() {
        return mcode;
    }

    public void setMcode(String mcode) {
        this.mcode = mcode == null ? null : mcode.trim();
    }

    public String getmOrderNumber() {
        return mOrderNumber;
    }

    public void setmOrderNumber(String mOrderNumber) {
        this.mOrderNumber = mOrderNumber == null ? null : mOrderNumber.trim();
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId == null ? null : tradeId.trim();
    }

    public String getOuterOrderNumber() {
        return outerOrderNumber;
    }

    public void setOuterOrderNumber(String outerOrderNumber) {
        this.outerOrderNumber = outerOrderNumber == null ? null : outerOrderNumber.trim();
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId == null ? null : deviceId.trim();
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType == null ? null : payType.trim();
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName == null ? null : payTypeName.trim();
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Long getRefundedAmount() {
        return refundedAmount;
    }

    public void setRefundedAmount(Long refundedAmount) {
        this.refundedAmount = refundedAmount;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl == null ? null : notifyUrl.trim();
    }

    public String getTimeExpire() {
        return timeExpire;
    }

    public void setTimeExpire(String timeExpire) {
        this.timeExpire = timeExpire == null ? null : timeExpire.trim();
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus == null ? null : payStatus.trim();
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getScanCode() {
        return scanCode;
    }

    public void setScanCode(String scanCode) {
        this.scanCode = scanCode == null ? null : scanCode.trim();
    }

    public String getCodeUrl() {
        return codeUrl;
    }

    public void setCodeUrl(String codeUrl) {
        this.codeUrl = codeUrl == null ? null : codeUrl.trim();
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid == null ? null : pid.trim();
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId == null ? null : storeId.trim();
    }

    public String getPayIp() {
        return payIp;
    }

    public void setPayIp(String payIp) {
        this.payIp = payIp == null ? null : payIp.trim();
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId == null ? null : openId.trim();
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType == null ? null : tradeType.trim();
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo == null ? null : memberCardNo.trim();
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName == null ? null : memberName.trim();
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum == null ? null : cardNum.trim();
    }

    public String getCardHidCode() {
        return cardHidCode;
    }

    public void setCardHidCode(String cardHidCode) {
        this.cardHidCode = cardHidCode == null ? null : cardHidCode.trim();
    }

    public String getRetrvlRefNo() {
        return retrvlRefNo;
    }

    public void setRetrvlRefNo(String retrvlRefNo) {
        this.retrvlRefNo = retrvlRefNo == null ? null : retrvlRefNo.trim();
    }

    public String getOriTraceNo() {
        return oriTraceNo;
    }

    public void setOriTraceNo(String oriTraceNo) {
        this.oriTraceNo = oriTraceNo == null ? null : oriTraceNo.trim();
    }

    public String getOriBatchNo() {
        return oriBatchNo;
    }

    public void setOriBatchNo(String oriBatchNo) {
        this.oriBatchNo = oriBatchNo == null ? null : oriBatchNo.trim();
    }

    public String getTransDate() {
        return transDate;
    }

    public void setTransDate(String transDate) {
        this.transDate = transDate == null ? null : transDate.trim();
    }

    public String getRequestDetailInfo() {
        return requestDetailInfo;
    }

    public void setRequestDetailInfo(String requestDetailInfo) {
        this.requestDetailInfo = requestDetailInfo == null ? null : requestDetailInfo.trim();
    }

    public String getResponseDetailInfo() {
        return responseDetailInfo;
    }

    public void setResponseDetailInfo(String responseDetailInfo) {
        this.responseDetailInfo = responseDetailInfo == null ? null : responseDetailInfo.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }
}